﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace WebService_Client
{
    public partial class frmShow : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if ((Session["strCustomerID"] == null))
            {
                Response.Redirect("frmLogin.aspx");
                Response.End();
            }

            clsGetCustomer.getCustomer cls = new clsGetCustomer.getCustomer();
            Array myArr = cls.resultCustomer(Session["strCustomerID"].ToString());
            if (myArr.Length > 0)
            {
                this.lblCustomerID.Text = DataBinder.Eval(myArr.GetValue(0), "CustomerID").ToString();
                this.lblUsername.Text = DataBinder.Eval(myArr.GetValue(0), "Username").ToString();
                this.lblPassword.Text = DataBinder.Eval(myArr.GetValue(0), "Password").ToString();
                this.lblName.Text = DataBinder.Eval(myArr.GetValue(0), "Name").ToString();
                this.lblEmail.Text = DataBinder.Eval(myArr.GetValue(0), "Email").ToString();
                this.lblCountryCode.Text = DataBinder.Eval(myArr.GetValue(0), "CountryCode").ToString();
                this.lblBudget.Text = DataBinder.Eval(myArr.GetValue(0), "Budget").ToString();
                this.lblUsed.Text = DataBinder.Eval(myArr.GetValue(0), "Used").ToString();
            }
        }

        protected void lnkLogout_Click(object sender, EventArgs e)
        {
                Session.Abandon();
                Response.Redirect("frmLogin.aspx");
        }
    }
}
