﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Text.RegularExpressions;

namespace WebService_Client
{
    public partial class frmProfile : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if ((Session["strCustomerID"] == null))
            {
                Response.Redirect("frmLogin.aspx");
                Response.End();
            }

            if (!Page.IsPostBack)
            {
                BindData();
            }
        }

        protected void BindData()
        {
            clsGetCustomer.getCustomer cls = new clsGetCustomer.getCustomer();
            Array myArr = cls.resultCustomer(Session["strCustomerID"].ToString());
            if (myArr.Length > 0)
            {
                this.lblCustomerID.Text = DataBinder.Eval(myArr.GetValue(0), "CustomerID").ToString();
                this.lblUsername.Text = DataBinder.Eval(myArr.GetValue(0), "Username").ToString();
                this.txtPassword.Text = DataBinder.Eval(myArr.GetValue(0), "Password").ToString();
                this.txtName.Text = DataBinder.Eval(myArr.GetValue(0), "Name").ToString();
                this.txtEmail.Text = DataBinder.Eval(myArr.GetValue(0), "Email").ToString();
                this.txtCountryCode.Text = DataBinder.Eval(myArr.GetValue(0), "CountryCode").ToString();
                this.txtBudget.Text = DataBinder.Eval(myArr.GetValue(0), "Budget").ToString();
                this.txtUsed.Text = DataBinder.Eval(myArr.GetValue(0), "Used").ToString();
            }
        }

        protected void btnSave_Click(object sender, EventArgs e)
        {
            clsUpdateCustomer.UpdateCustomer cls = new clsUpdateCustomer.UpdateCustomer();
            Array myArr = cls.saveUpdateCustomer(Session["strCustomerID"].ToString(), this.txtPassword.Text, this.txtName.Text, this.txtEmail.Text, this.txtCountryCode.Text, Convert.ToInt32(this.txtBudget.Text), Convert.ToInt32(this.txtUsed.Text));

            if (Convert.ToString(myArr.GetValue(0)) == "1")
            {
                this.ClientScript.RegisterStartupScript(this.GetType(), "myalert", "alert('Update Successfully ');window.location='frmShow.aspx';", true);
            }
            else
            {
                this.ClientScript.RegisterStartupScript(this.GetType(), "myalert", "alert('Update Failed error..." + myArr.GetValue(1).ToString().Replace("'","\\'") + "');", true);
            }
        }
    }
}
