﻿Imports System.Web.Services

Partial Public Class frmProfile
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load

        If IsNothing(Session("strCustomerID")) Then
            Response.Redirect("frmLogin.aspx")
            Response.End()
        End If

        If Not Page.IsPostBack Then
            BindData()
        End If

    End Sub

    Protected Sub BindData()
        Dim cls As New clsGetCustomer.getCustomer
        Dim myArr As Array = cls.resultCustomer(Session("strCustomerID"))
        If myArr.Length > 0 Then
            Me.lblCustomerID.Text = DataBinder.Eval(myArr(0), "CustomerID").ToString()
            Me.lblUsername.Text = DataBinder.Eval(myArr(0), "Username").ToString()
            Me.txtPassword.Text = DataBinder.Eval(myArr(0), "Password").ToString()
            Me.txtName.Text = DataBinder.Eval(myArr(0), "Name").ToString()
            Me.txtEmail.Text = DataBinder.Eval(myArr(0), "Email").ToString()
            Me.txtCountryCode.Text = DataBinder.Eval(myArr(0), "CountryCode").ToString()
            Me.txtBudget.Text = DataBinder.Eval(myArr(0), "Budget").ToString()
            Me.txtUsed.Text = DataBinder.Eval(myArr(0), "Used").ToString()
        End If
    End Sub

    Protected Sub btnSave_Click(ByVal sender As Object, ByVal e As EventArgs) Handles btnSave.Click
        Dim cls As New clsUpdateCustomer.UpdateCustomer
        Dim myArr As Array = cls.saveUpdateCustomer(Session("strCustomerID"), _
                                                    Me.txtPassword.Text, _
                                                    Me.txtName.Text, _
                                                    Me.txtEmail.Text, _
                                                    Me.txtCountryCode.Text, _
                                                    Me.txtBudget.Text, _
                                                    Me.txtUsed.Text)

        If CStr(myArr(0)) = "1" Then
            Me.ClientScript.RegisterStartupScript(Me.GetType(), "myalert", "alert('Update Successfully ');window.location='frmShow.aspx';", True)
        Else
            Me.ClientScript.RegisterStartupScript(Me.GetType(), "myalert", "alert('Update Failed error..." & Replace(myArr(1), "'", "\'") & "');", True)
        End If

    End Sub

End Class